<?
if (!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true) die();

if(!CModule::IncludeModule("iblock"))
	return;

$arIBlockType = CIBlockParameters::GetIBlockTypes();

$arComponentParameters = array(
	"PARAMETERS" => array(
		"VARIABLE_ALIASES" => Array(
			"catalogs" => Array("NAME" => GetMessage("TP_CATALOG_CATALOGS")),
			"catalogtypes" => Array("NAME" => GetMessage("TP_CATALOG_CATALOGTYPES")),
			"catalog" => Array("NAME" => GetMessage("TP_CATALOG_CATALOG")),
			"catalogsection" => Array("NAME" => GetMessage("TP_CATALOG_CATALOGSECTION")),
			"catalogdetail" => Array("NAME" => GetMessage("TP_CATALOG_CATALOGDETAIL")),
		),
		"SEF_MODE" => Array(
			"catalogs" => array(
				"NAME" => GetMessage("TP_CATALOG_CATALOGS"),
				"DEFAULT" => "catalog/",
				"VARIABLES" => array(),
			),
			"catalogtypes" => array(
				"NAME" => GetMessage("TP_CATALOG_CATALOGTYPES"),
				"DEFAULT" => "#TYPES#/",
				"VARIABLES" => array('TYPES'),
			),
			"catalog" => array(
				"NAME" => GetMessage("TP_CATALOG_CATALOG"),
				"DEFAULT" => "#XML_ID#/",
				"VARIABLES" => array("XML_ID", "CODE"),
			),
			"catalogsection" => array(
				"NAME" => GetMessage("TP_CATALOG_CATALOGSECTION"),
				"DEFAULT" => "#SECTION_ID#/",
				"VARIABLES" => array("SECTION_CODE", "SECTION_ID"),
			),
			"catalogdetail" => array(
				"NAME" => GetMessage("TP_CATALOG_CATALOGDETAIL"),
				"DEFAULT" => "#ELEMENT_ID#/",
				"VARIABLES" => array("ELEMENT_ID", "ELEMENT_CODE"),
			)
		),
		"AJAX_MODE" => array(),
		"IBLOCK_TYPE" => array(
			"PARENT" => "BASE",
			"NAME" => GetMessage("TP_CATALOG_TYPECATALOG"),
			"TYPE" => "LIST",
			"VALUES" => $arIBlockType,
			"REFRESH" => "Y",
		),
		"CACHE_TIME"  =>  Array("DEFAULT"=>36000000),
		"CACHE_FILTER" => array(
			"PARENT" => "CACHE_SETTINGS",
			"NAME" => GetMessage("TP_CATALOG_CACHE_FILTER"),
			"TYPE" => "CHECKBOX",
			"DEFAULT" => "N",
		)
	)
);

?>
